#include <graph/plugins/plugin.h>

int run();
int destroy();

plugin_t plugin = {.version=1, .run_method=&run, .destroy_method=&destroy, .update_callback=0, .argc=0, .argv=0};

int run() {
    point_t points[6] = {
        {2/4.0, 2/2.0},
        {3/4.0, 0/2.0},
        {0/4.0, 1/2.0},
        {4/4.0, 1/2.0},
        {1/4.0, 0/2.0},
        {2/4.0, 2/2.0}
    };

    plugin.update_callback(0, "star", points, 6);

    return 0;
}

int destroy() { return 0; }